/**
 * 
 */
package cexer;

import java.util.LinkedList;
import java.util.List;

import cexer.util.Logging;

/**
 * @author cefallen
 *
 */
public class AppletExerciseTemplate extends ExerciseTemplate {
    
    /**
     * 
     */
    private static final long serialVersionUID = 1L;
    //  applet attributes
    private String codebase;
    private String archive; 
    private String code;
    
    private int width;
    private int height;
    
    // holds the parameters of the applet. Must contain only instances of AppletParameters
    private List appletParameters;
    
    // link to hint page
    private String hintPage;
    
    public static final int DEFAULT_WIDTH = 800;
    public static final int DEFAULT_HEIGHT = 800;

    /**
     * @param params
     * @param p
     */
    public AppletExerciseTemplate(String[] params, List p) {
        super(params[0], params[1], p);
        this.codebase = params[2];
        this.archive = params[3];
        this.code = params[4];
        this.hintPage = params[7];
        try {
            this.width = Integer.parseInt(params[5]);
            this.height = Integer.parseInt(params[6]);
        } catch (NumberFormatException e) {
            Logging.error(this, "Invalid width or height parameter!", e);
            if (width == 0)
            width = DEFAULT_WIDTH;
            height = DEFAULT_HEIGHT;
        }
        this.appletParameters = p;
    }
    
    public int getWidth() {
        return width;
    }

    public void setWidth(int value) {
        width = value;
    }

    public int getHeight() {
        return height;
    }

    public void setHeight(int value) {
        height = value;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String value) {
        code = value;
    }

    public String getArchive() {
        return archive;
    }

    public void setArchive(String value) {
        archive = value;
    }

    public String getCodeBase() {
        return codebase;
    }

    public void setCodeBase(String value) {
        codebase = value;
    }
    
    public void setAppletParameters(List l) {
        appletParameters = l;
    }

    public List getAppletParameters() {
        return appletParameters;
    }

    public void removeAppletParameter(AppletParameter ap) {
        if (appletParameters != null)
            appletParameters.remove(ap);
    }

    public void addAppletParameter(AppletParameter ap) {
        if (appletParameters == null)
            appletParameters = new LinkedList();
        appletParameters.add(ap);
    }
    
    public void setHintPage(String value) {
        hintPage = value;
    }

    public String getHintPage() {
        return hintPage;
    }


}
