// Copyright 2007 Tapio Auvinen, Erik Fallenius, Ville Karavirta,
// Jussi Nikander, and Harri Salonen
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

/**
 * 
 */
package cexer.pages;

import cexer.*;

import org.apache.tapestry.html.BasePage;
import java.util.Locale;
import cexer.util.Logging;

public abstract class HelpPage extends SecurePage {
    
    public abstract StudentSession getStudentSession();
    
    public Course getCourse() {
        // if the course is not set, first try visit's course and
        // then take the first course of user's registrations
        StudentSession session = getStudentSession();
        Student student = session.getStudent();
        
        if (student == null) {
            return null;
        }
        
        Course course = session.getCourse();
        if (course == null) {
            course = (Course)session.getStudent().getCourseList().get(0);
        }
        
        return course;
    }



    public String getContent() {
        Course course = this.getCourse();
        
        if (course != null) {
            return course.getHelpContent(getLocale().getLanguage());
        } else {
            return "";
        }
    }
    
}
