// Copyright 2007 Tapio Auvinen, Erik Fallenius, Ville Karavirta,
// Jussi Nikander, and Harri Salonen
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package cexer.pages;

import org.apache.tapestry.html.BasePage;
import java.util.Locale;
import org.apache.tapestry.IRequestCycle;
//import cexer.*;
import cexer.util.Logging;

public abstract class HomePage extends BasePage {

    /**
     * Creates a link that will redirect user to the login page of the specified university.
     * @param organization must match a SessionInitiator configured in /etc/shibboleth.xml
     */
    public String makeShibLink(String organization) {
        String shibUrl = "/Shibboleth.sso/"
                + organization
                + "?target=https://"
                + System.getProperty("https.server")
                + "/app%3Fservice=page%26page=LoginShib";

        return shibUrl;
    }

}
