// Copyright 2007 Tapio Auvinen, Erik Fallenius, Ville Karavirta,
// Jussi Nikander, and Harri Salonen
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package cexer.pages;

import java.util.List;

import cexer.Course;
import cexer.MonitorSession;
import cexer.Round;
import cexer.Student;

public abstract class MonitorTextResultsPage extends SecurePage {

    public abstract MonitorSession getMonitorSession();

    public abstract void setStudentResults(List l);
    public abstract List getStudentResults();

    public String getCourseResults() {
        StringBuffer res = new StringBuffer();
        res.append("Id\tStudentNumber\tName\tEmail\t");

        MonitorSession session = getMonitorSession();
        Course c = session.getCourse();
        int nroRounds = session.getCourse().getRoundList().size();

        for(int i = 1; i < nroRounds+1; i++) {
            res.append("Round " + i + "\t");
        }

        res.append("total\tgrade\n");

        List stu = getStudentResults();

        for (int i = 0; i < stu.size(); i++) {
            Student s = (Student) stu.get(i);
            res.append(s.getId()).append("\t");
            if (s.getStudentNumber() != null)
                res.append(s.getStudentNumber());
            res.append("\t");
            res.append(s.getName()).append("\t");
            res.append(s.getEmail()).append("\t");
            List rounds = session.getCourse().getRoundList();

            for(int j = 0; j < rounds.size(); j++) {
                Round r = (Round)rounds.get(j);
                res.append(s.getRoundResult(c,r.getRoundNumber())).append("\t");
            }
            res.append(s.getCourseResult(c)).append("\t");

            if (s.isUnregistered()) {
                res.append(s.getGrade(c)).append(" (unregistered)\n");
            } else {
                res.append(s.getGrade(c)).append("\n");
            }
        }

        return res.toString();
    }

}
