// Copyright 2007 Tapio Auvinen, Erik Fallenius, Ville Karavirta,
// Jussi Nikander, and Harri Salonen
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package cexer.pages;

import org.apache.tapestry.util.ContentType;


public abstract class SubmissionFeedbackPage extends SecurePage {

    /**
     * Sets the status value.
     * @param status "OK" or "ERROR"
     */
    public abstract void setStatus(String status);
    public abstract String getStatus();
    
    /**
     * Sets a technical message such as "Submission succeeded" 
     */
    public abstract void setMessage(String message);
    public abstract String getMessage();
    
    /**
     * Sets feedback about the exercise. 
     */
    public abstract void setFeedback(String feedback);
    public abstract String getFeedback();
    
    /**
     * Sets the grade of the latest submission.
     */
    public abstract void setSubmissionGrade(String grade);
    public abstract String getSubmissionGrade();
    
    /**
     * Sets the grade of the best submission.
     */
    public abstract void setCurrentGrade(String grade);
    public abstract String getCurrentGrade();
    
    /**
     * Sets the number of used submissions. 
     */
    public abstract void setCurrentSubmissions(int submissions);
    public abstract int getCurrentSubmissions();
    
    @Override
    public ContentType getResponseContentType() {
        return new ContentType("text/xml");
    }

}
