// Copyright 2007 Tapio Auvinen, Erik Fallenius, Ville Karavirta,
// Jussi Nikander, and Harri Salonen
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//     http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package cexer.util;

public class Lock {
	
	public static final int LOCK_TYPE_DESCRIPTION = 0; // default
	public static final int LOCK_TYPE_MULTIPLECHOICE = 1;

    private Integer key;
    private Object lock_id;
    private long timestamp;
    private int type;

    public Lock(Integer key, Object id, long tt){
    	this(key, id, tt, LOCK_TYPE_DESCRIPTION); // use default lock type
    }
    
    public Lock(Integer key, Object id, long tt, int type) {
	    this.key = key;
		lock_id = id;
		timestamp = tt;
    }

    public Integer getKey() {
    	return key;
    }

    public void setKey(Integer i) {
    	key = i;
    }

    public Object getId() {
    	return lock_id;
    }

    public void setId(Object i) {
    	lock_id = i;
    }

    public long getTimeStamp() {
    	return timestamp;
    }

    public void setTimeStamp(long tt) {
    	timestamp = tt;
    }

	public int getType() {
		return type;
	}

	public void setType(int type) {
		this.type = type;
	}
}
